EDIT - bug #8161
bug # 8075 (Closed): multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations

*FilterablePagingProvider classes as transactional readonly spring beans
03/04/2019 12:47 PM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:

Description

Turing the TaxonNameStringFilterablePagingProvider into a readonly service bean should solve the cascade="all-delete-orphan”
problems mentioned in #8075.
It would make a lot of sense to turn all the *FilterablePagingProvider classes into transactional readonly spring beans.

As prototype beans?

Related issues:
Has duplicate EDIT - bug #7945: TaxonNamePopupEditor: missing genus causes ex... Rejected

Associated revisions

Revision 52aa37ab - 03/04/2019 03:36 PM - Andreas Kohlbecker

ref #8161 TaxonNameStringFilterablePagingProvider as transactional readonly prototype bean

History

#1 - 03/04/2019 12:48 PM - Andreas Kohlbecker

- Subject changed from *FilterablePagingProvider classes as into transactional readonly spring beans to *FilterablePagingProvider classes as
transactional readonly spring beans

#2 - 03/04/2019 03:05 PM - Andreas Kohlbecker

- Has duplicate bug #7945: TaxonNamePopupEditor: missing genus causes exception when updating name parts visibility added

#3 - 03/05/2019 11:21 AM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Release 5.6)

the *FilterablePagingProviders only are using service methods which are anyway annotated with @Transactional(readOnly=true), therefore it makes
not much sense managing transactions in the *FilterablePagingProvider classes. - rejecting ticket

04/19/2024 1/1



https://dev.e-taxonomy.eu/redmine/issues/8075
http://www.tcpdf.org

